; (function (window, jq) {
    window.Landers = window.Landers || {};

    function case_one_argument(arg){
        var content = '';
        if (jq.isPlainObject(arg)){
            var arr = [];
            for (var k in arg) {
                arr.push(k + ' ' + arg[k]);
            }
            content = arr.join('\n');

        } else if (jq.isArray(arg)) {
            content = arg.join('\n');
        } else {
            content = arg;
        }

        return content;
    }

    function case_two_arguments(arg1, arg2) {
        var content = '';
        if (jq.isPlainObject(arg2)){
            var arr = [];
            for (var k in arg2) {
                arr.push(k + ':' + arg2[k]);
            }
            content = arr.join(';');

        } else if (jq.isArray(arg2)) {
            content = arg2.join(';');

        } else {
            content = arg2;

        }
        return arg1 + ' {' + content + '}';
    }

    function append_style(content){
        try {
            //高版本浏览器
            var $head = jq('head', window.document);
            var $style = jq('<style></style>')
                    .appendTo($head)
                    .attr({type:'text/css'});

            $style.append('\n' +  content + '\n');
        } catch(e) {
            //低版本浏览器，如ie8
            var sheets = document.styleSheets;
            var sheet = sheets[0] || document.createStyleSheet();

            var arr = content.match(/(.*?)\{(.*?)\}/g);
            if (arr) {
                for (var i=0; i<arr.length; i++) {
                    var match = arr[i].match(/(.*?)\{(.*?)\}/);
                    var k = jq.trim(match[1]),
                        v = jq.trim(match[2]);
                    sheet.addRule(k, v);
                }
            }
        }
    }

    Landers.css = Landers.css || {
        add:function(){
            var content;

            // 一个参数情况
            if (arguments.length == 1) {
                content = case_one_argument(arguments[0]);
            }

            // 两个参数情况
            if (arguments.length == 2) {
                content = case_two_arguments(arguments[0], arguments[1]);
            }

            append_style(content);
        },
        remove:function(k){
            this.add(k, '');
        }
    };
})(window, jQuery);